/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
module dwt.internal.theme.ToolBarDrawData;

import dwt.dwthelper.utils;

import dwt.graphics.GC;
import dwt.graphics.Point;
import dwt.graphics.Rectangle;

public class ToolBarDrawData extends DrawData {
    
public ToolBarDrawData() {
    state = new int[1];
}

void draw(Theme theme, GC gc, Rectangle bounds) {
}

char[] getClassId() {
    return TOOLBAR;
}

int hit(Theme theme, Point position, Rectangle bounds) {
    if (!bounds.contains(position)) return DrawData.WIDGET_NOWHERE;
    return DrawData.WIDGET_WHOLE;
}

}
