/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
module dwt.internal.win32.SCRIPT_PROPERTIES;

import dwt.dwthelper.utils;

public class SCRIPT_PROPERTIES {
    public short langid;
    public bool fNumeric;
    public bool fComplex;
    public bool fNeedsWordBreaking;
    public bool fNeedsCaretInfo;
    public byte bCharSet;
    public bool fControl;
    public bool fPrivateUseArea;
    public bool fNeedsCharacterJustify;
    public bool fInvalidGlyph;
    public bool fInvalidLogAttr;
    public bool fCDM;
    public bool fAmbiguousCharSet;
    public bool fClusterSizeVaries;
    public bool fRejectInvalid;
    public static final int sizeof = OS.SCRIPT_PROPERTIES_sizeof ();
}
